Error
A valid request URL is required to generate request examples{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"status": 404,
"error": "Not Found",
"message": "Not Found."
}Role assignments
Remove a role assignment
Revokes the role from a subject. Pass the same subject and subjectType that were used to create the assignment.
POST
/
roles
/
{roleSrn}
/
delete-assignment
Error
A valid request URL is required to generate request examples{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 404,
"error": "Not Found",
"message": "Not Found.",
"path": "/api/v1/rbac-manager/policies/srn2:policy%23missing"
}{
"status": 404,
"error": "Not Found",
"message": "Not Found."
}Authorizations
A StarTree API token or a service token (st-<accessKey>-<secretKey>).
Path Parameters
SRN of the role, with # encoded as %23.
Body
application/json
Example:
"jane.doe@example.com"
user-email: an individual user's email address.group: the name of a group in your identity provider.domain: an email domain, such asexample.com.service-token: a service token, identified by its access key (the 16 characters betweenst-and the next-).
Available options:
user-email, group, domain, service-token Response
Assignment removed. The response body is empty.
Was this page helpful?

